# Uses of Enum
org.codehaus.janino.JaninoOption

Packages that use JaninoOption
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.

## Uses of JaninoOption in org.codehaus.janino

Methods in org.codehaus.janino that return JaninoOption
Modifier and Type
Method
Description
`static JaninoOption`
JaninoOption.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static JaninoOption[]`
JaninoOption.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.codehaus.janino that return types with arguments of type JaninoOption
Modifier and Type
Method
Description
`EnumSet<JaninoOption>`
ClassBodyEvaluator.`options()`
`EnumSet<JaninoOption>`
Compiler.`options()`
`EnumSet<JaninoOption>`
ExpressionEvaluator.`options()`
`EnumSet<JaninoOption>`
JavaSourceIClassLoader.`options()`
`EnumSet<JaninoOption>`
ScriptEvaluator.`options()`
`EnumSet<JaninoOption>`
SimpleCompiler.`options()`
`EnumSet<JaninoOption>`
UnitCompiler.`options()`
Method parameters in org.codehaus.janino with type arguments of type JaninoOption
Modifier and Type
Method
Description
`ClassBodyEvaluator`
ClassBodyEvaluator.`options(EnumSet<JaninoOption> options)`
Sets the options for all future compilations.
`Compiler`
Compiler.`options(EnumSet<JaninoOption> options)`
Sets the options for all future compilations.
`ExpressionEvaluator`
ExpressionEvaluator.`options(EnumSet<JaninoOption> options)`
Sets the options for all future compilations.
`JavaSourceIClassLoader`
JavaSourceIClassLoader.`options(EnumSet<JaninoOption> options)`
Sets the options for all future compilations.
`ScriptEvaluator`
ScriptEvaluator.`options(EnumSet<JaninoOption> options)`
Sets the options for all future compilations.
`SimpleCompiler`
SimpleCompiler.`options(EnumSet<JaninoOption> options)`
Sets the options for all future compilations.
`UnitCompiler`
UnitCompiler.`options(EnumSet<JaninoOption> options)`
Sets the options for all future compilations.